summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2023-08-24 09:51:20 +0100
committerV3n3RiX <venerix@koprulu.sector>2023-08-24 09:51:20 +0100
commit3c4a961cb5e1350d7d40db49eabbcd7ef649306d (patch)
tree43957aca3f4296eb8c6c43d543f94884d775072c /dev-python
parent49d36e9793573ab563c841fc0aebeb7d62c58859 (diff)
gentoo auto-resync : 24:08:2023 - 09:51:20
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Faker/Faker-19.3.1.ebuild34
-rw-r--r--dev-python/Faker/Manifest2
-rw-r--r--dev-python/Manifest.gzbin267900 -> 267901 bytes
-rw-r--r--dev-python/boto3/Manifest2
-rw-r--r--dev-python/boto3/boto3-1.28.33.ebuild66
-rw-r--r--dev-python/botocore/Manifest2
-rw-r--r--dev-python/botocore/botocore-1.31.33.ebuild72
-rw-r--r--dev-python/pydantic/Manifest2
-rw-r--r--dev-python/pydantic/pydantic-2.3.0.ebuild65
-rw-r--r--dev-python/sabctools/Manifest2
-rw-r--r--dev-python/sabctools/sabctools-7.1.0.ebuild2
-rw-r--r--dev-python/sphinx/Manifest2
-rw-r--r--dev-python/sphinx/sphinx-7.2.3.ebuild125
13 files changed, 374 insertions, 2 deletions
diff --git a/dev-python/Faker/Faker-19.3.1.ebuild b/dev-python/Faker/Faker-19.3.1.ebuild
new file mode 100644
index 000000000000..45dce3e8d9c5
--- /dev/null
+++ b/dev-python/Faker/Faker-19.3.1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="
+ https://github.com/joke2k/faker/
+ https://pypi.org/project/Faker/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ !dev-ruby/faker
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index e56e7c12c9ee..574e294f8ee8 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -1,3 +1,5 @@
DIST Faker-19.3.0.tar.gz 1677117 BLAKE2B 855e3cc49e56d9c690add2b9bda9fc8c6e42a157543c44206803e794bc5a5da440f2a5151d959bff6aa438af465f7d4bf986e596af592251e64c80c861fdb8fb SHA512 cfbb81d8751fbe1c90260f806f36a8c95e7bcfe5f30555bb168b80e5e438a4e427482eb4220b55a6bd0f04ce4d64e9bd24b757b852b5a22de5f2b127e3f3fe25
+DIST Faker-19.3.1.tar.gz 1677746 BLAKE2B 1cf0c80daf23bbce824ebd81a3c31e6b12c353f4a75092dc482225ef27b1e55c9784a1bcde4305ffafb131471f4c5b886c8619c980e1d830530440c0c917e919 SHA512 4c9e073d46526830e4b561b61c8286c642668368b6a35ec269dd60cd56933b7e46bb699dceaab13330ade2e0928b27e8d5688fce555820c6a9abd34ecea2d37a
EBUILD Faker-19.3.0.ebuild 720 BLAKE2B 1622a45722bdbe31e07f0edbf3dc3bebeef97305e38cbeaf7a216550e7c509244b1779d4e0c529e0742e6e4c80bafb8a44c49f9682bfc1f12741c79fc7562f97 SHA512 ef69ab3f17f6c1161b33f069abc68ff0ba294165b85c9a31c6795880121d301e14bf7c12d99e933fb67f81b4d79e8b15889683a1d2072c863b1639f05f568dba
+EBUILD Faker-19.3.1.ebuild 721 BLAKE2B bf998f25542a8833e6aa765af951e897b775d1d4d6270843de8db406186ce8b5f4b815487e4cd95cb11a88cc5cb9cd891663d533d727b97ff3aa6a7b39a255dd SHA512 2195e8b637bbd53ebbe6b2e8c52cb07dedb26b597196af730085321290fd8d85e3322d9f4440358865fcdd11566f786f089a354e50536619c3b361947e060e22
MISC metadata.xml 498 BLAKE2B c9b7885dc7d34f2263068624a6b07ac6f1ec8078cc11abb6137612ba57edffefc48dae2708284aa83ecc941ebb2d3b8a87a143648e404a0683e75bb6c078f4e2 SHA512 0b385bbbfbb026803526e43c6c43965ff75f42d3ab133603708b187686aac29de508856e5e8ae7622a66b99032efa97f95c21625e10d074c858d8aff7446a312
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index e772890a85fe..1be1ad38d6e3 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 3f96a3308fc4..49b61f78822d 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -8,6 +8,7 @@ DIST boto3-1.28.29.gh.tar.gz 689353 BLAKE2B 6d8816cd1857b2c9b968730488ccc6822a72
DIST boto3-1.28.30.gh.tar.gz 689629 BLAKE2B 03081369f995ae470717c32ffd0e80c1bac6677467cd4af57b4a7e19d5c0249c825a2db787d5e6d7319b1af808936043e07b1d5ff13eb413125478710a18a416 SHA512 ace77ea7898cd7baa47c256affe553bbec2410f0143caf3b06311d66c306dfe2d4ce8b47820d6c8ceb3f4a7a195d94610b46db2bb0ed2e3716dcee99b8841468
DIST boto3-1.28.31.gh.tar.gz 690064 BLAKE2B 409dcdb3c4a0ee2bb32d8a68ba2779d347b0686076c9bc922320b370def9faa6cde964279d8fb2d885f547299e1358c05db80688fdf953ddf70030eb282ebed9 SHA512 6a1de5568c5663a9f37ae991ae072fbfa7fcafbfa5786bfcd4335c6dcdb1eadee8050ead64251cc687b8f954b6d3a79fd3bef0b1fedd4cd4fcb2d63f405a0323
DIST boto3-1.28.32.gh.tar.gz 690385 BLAKE2B 2d5ff74dc8f27d43329796910c6810257f997780afae1fdaaa9934853735244512464dbe7eb882376720e4c76bb2ec2fd9e56673f7677dc9a88d6a838fe2d2a9 SHA512 e7faa2e40b8fbb5e69070277fa9ee50000ab94f2540f9ca6e781c61e99d674e3039bc7b16dd3e196dc2876dc8149b6513a0d8c8c888c96aeef13abb3e7617f1e
+DIST boto3-1.28.33.gh.tar.gz 690686 BLAKE2B 572f5aa0b9a71e39a62fccdce84fa359e0b96d196d983965d335de2299e734239586bfde43c5f48463afddace7d7a91139cabc2737a5b4f3b40684c13112f267 SHA512 2bb4375f5c3d85283a10ff9325b8688ab1e2aceb7be8cd255bc2d054c75eda54df320a85eb4910e0119633e8977158f216df2fdb373c9bb5df8eb7cb4389a4fd
EBUILD boto3-1.28.15.ebuild 1508 BLAKE2B 42be8b915da646a7afe6dfc988542d3d79b5dbdc565d2e738d210e3f77b7c5ba6dfbac45e46b9cc3cc4770611cbc0c155abc7f1807ff0cb8e6033f927bea4048 SHA512 06404c0363c0c7c0d378d1c2b91073c137a1685d2d846d98c655e6d001df5cde0eb51bf6e160879af2b56321a02e84146ce634855f70c7c3fbbd1adbb9b8ef8e
EBUILD boto3-1.28.20.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
EBUILD boto3-1.28.25.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
@@ -18,5 +19,6 @@ EBUILD boto3-1.28.29.ebuild 1515 BLAKE2B d408009dbb888b12a75b69f45cea71908534a86
EBUILD boto3-1.28.30.ebuild 1515 BLAKE2B d408009dbb888b12a75b69f45cea71908534a86adb79e2d77b83b5b80a0b1270d9e1a3d604a82bf09d89653a6f431609efd0307b9b97824cf5207ee2d89f3b8b SHA512 febd31bdc88e4fa694e8c4406923dcd5ee3791e6f350d9fdf8059786d7e1d6cf6efda5b5c3dc7c0a082bafa65dd5ff0ae297a60b449099550f9e5da7f2b88f54
EBUILD boto3-1.28.31.ebuild 1515 BLAKE2B d408009dbb888b12a75b69f45cea71908534a86adb79e2d77b83b5b80a0b1270d9e1a3d604a82bf09d89653a6f431609efd0307b9b97824cf5207ee2d89f3b8b SHA512 febd31bdc88e4fa694e8c4406923dcd5ee3791e6f350d9fdf8059786d7e1d6cf6efda5b5c3dc7c0a082bafa65dd5ff0ae297a60b449099550f9e5da7f2b88f54
EBUILD boto3-1.28.32.ebuild 1532 BLAKE2B d9c16eb4938ac7488765eca7dc3d5d55402c5aeed4b4e380c9d0433a4e18a94cd11938b43fbe3584b95bc36fec90557a1cfb6017a41fa70807bc06b941e3eca6 SHA512 2d6bd178dd4b7b9b30ed092f69ffdf01e4450eae8e5ee86bd5dcced4370f6f49a440067ae598e126d7ca0f50f9c1212e734ccbd5073fb4fcdef8850327b57763
+EBUILD boto3-1.28.33.ebuild 1532 BLAKE2B d9c16eb4938ac7488765eca7dc3d5d55402c5aeed4b4e380c9d0433a4e18a94cd11938b43fbe3584b95bc36fec90557a1cfb6017a41fa70807bc06b941e3eca6 SHA512 2d6bd178dd4b7b9b30ed092f69ffdf01e4450eae8e5ee86bd5dcced4370f6f49a440067ae598e126d7ca0f50f9c1212e734ccbd5073fb4fcdef8850327b57763
EBUILD boto3-9999.ebuild 1532 BLAKE2B d9c16eb4938ac7488765eca7dc3d5d55402c5aeed4b4e380c9d0433a4e18a94cd11938b43fbe3584b95bc36fec90557a1cfb6017a41fa70807bc06b941e3eca6 SHA512 2d6bd178dd4b7b9b30ed092f69ffdf01e4450eae8e5ee86bd5dcced4370f6f49a440067ae598e126d7ca0f50f9c1212e734ccbd5073fb4fcdef8850327b57763
MISC metadata.xml 493 BLAKE2B 7d6324fc877ffe1d20c5369c2af0b09a7028f94d28f1841188913d0d8be7ea699c9d3f92c624992c4c96bd69615d3a1211a2483c76c56b7d3082492e43512523 SHA512 44420d8c03d5986f990b76369edfa8dfd7659b4952db3ad946fd05392ec594628a28745ad888d055d4f074d5214f61fcffafe6c04c4ab54109d45ac0371582bd
diff --git a/dev-python/boto3/boto3-1.28.33.ebuild b/dev-python/boto3/boto3-1.28.33.ebuild
new file mode 100644
index 000000000000..ec9fc93bf23a
--- /dev/null
+++ b/dev-python/boto3/boto3-1.28.33.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)" --dist=worksteal
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 9dbce944ccf8..087b046a8228 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -8,6 +8,7 @@ DIST botocore-1.31.29.gh.tar.gz 11874948 BLAKE2B a4a2dabdfdb574814878009a29cee4d
DIST botocore-1.31.30.gh.tar.gz 11873788 BLAKE2B 0e0f7500c838c1dc1978956a1b191b30f217ff55ae17a3f601956362b0be2058bf895477db486f532dbb334d925da2ebe7c24c5a8e08585e2c817bb2539b4f3c SHA512 310d5c23ad1ca38550032b9810106fefd5f6431b717c8296bf6e7d208d5c7d1a6b4a97684f2386f4dac27463e1005e08fd67b0e6be07a5c625fa3c8c3a383378
DIST botocore-1.31.31.gh.tar.gz 11877393 BLAKE2B 6f1d09ce68815ad9a97bf7df9a4153d76898dc2814ab39f2406812ec6e1075f70e0fe10c33f258c1af0855e2b5f429d2862fae67a8a4deac2aa907a239b1f98e SHA512 00ff060d1dfc7d810d654afea8e75bf69693d0205621ef66eb8003dcd81def3215e55e8e7e643cf9401e39f5cab82edb025aefe5a78d100ca651bcc82564c7e4
DIST botocore-1.31.32.gh.tar.gz 11878306 BLAKE2B 19292e0456f66e4d2b60efb6a6b176fd1e6c81ec77fa14fc7af61549c31abb8d3045aa778b2f279e66457255b8ee33a8e911b5e981e788b056aabd6af4465b48 SHA512 f94b820f74c88e7bac6b4b8b3f7de66eee8406df6f3bb9f3a97673c65664dd598f92eb82f78487d6bcb1431c5001c98b007ebd0edb11abd35e7bbe0243a7ce69
+DIST botocore-1.31.33.gh.tar.gz 11877895 BLAKE2B feec0dc8b6d7db2630ee381a41e74434baa18c86ef966fc70db2fc8c1edd6d42eb48aeb952cdd1aabd929235747da4ea845dfc8379f9b9841bf5daef9932bc82 SHA512 bb44a0ecc907594f899e64ff04feab3f1ac603902d3ba49ac36100f8cd2e7befe9845c6fabfe2571b32d36d4c370e6f46e164ba5355e0a1fe3d6e249d24b2724
EBUILD botocore-1.31.15.ebuild 1827 BLAKE2B d9e353ffebf3b77bdb5b034da339f9f3cf95937e288fa522fcc40f88a4752c58ae085406bfefa595c3738ec118712cdb4ee0509c1dee7a00e2c76cd2a657009c SHA512 f0d3e81726bd65bf4c097b63e8673881949970e29d976de53c1facbccf8cd1d214fea9153f4820a5889f1892979342a0255e110b243ba613d4e803a940d46602
EBUILD botocore-1.31.20.ebuild 1834 BLAKE2B 50305f707e533627ed4b906b3c5845a931f825049d40d8e9d9eedf1323d130634b578f68adb046db30e3e9a4168361da69d99471a7b744407dc103130a114994 SHA512 45952178574e99269d9767374818d867bfcc47ebf0f4c37dbab6cf50089577badb69967bd06b0b2d10b15dcd1c3e8b82adac88404d7c3b7d7784292b4005e797
EBUILD botocore-1.31.25.ebuild 1834 BLAKE2B 50305f707e533627ed4b906b3c5845a931f825049d40d8e9d9eedf1323d130634b578f68adb046db30e3e9a4168361da69d99471a7b744407dc103130a114994 SHA512 45952178574e99269d9767374818d867bfcc47ebf0f4c37dbab6cf50089577badb69967bd06b0b2d10b15dcd1c3e8b82adac88404d7c3b7d7784292b4005e797
@@ -18,5 +19,6 @@ EBUILD botocore-1.31.29.ebuild 1834 BLAKE2B 8209ad43b9caa70c98744edf36645c8a660c
EBUILD botocore-1.31.30.ebuild 1834 BLAKE2B 8209ad43b9caa70c98744edf36645c8a660c86e61d2640787b8fd452c6ead5ebaad53ab332d74bb242a32ed673577231abd7a39b60b1122c9c30a6e1c46e9eff SHA512 8f2ff2d43225813fbba24106ed6df42810fe25cb3012288d3922dd57717e2608df205c7e2e6a6687f4089448ad7f8eb6b6e1575b4b51b76727351d4bcbea9155
EBUILD botocore-1.31.31.ebuild 1834 BLAKE2B 8209ad43b9caa70c98744edf36645c8a660c86e61d2640787b8fd452c6ead5ebaad53ab332d74bb242a32ed673577231abd7a39b60b1122c9c30a6e1c46e9eff SHA512 8f2ff2d43225813fbba24106ed6df42810fe25cb3012288d3922dd57717e2608df205c7e2e6a6687f4089448ad7f8eb6b6e1575b4b51b76727351d4bcbea9155
EBUILD botocore-1.31.32.ebuild 1834 BLAKE2B 8209ad43b9caa70c98744edf36645c8a660c86e61d2640787b8fd452c6ead5ebaad53ab332d74bb242a32ed673577231abd7a39b60b1122c9c30a6e1c46e9eff SHA512 8f2ff2d43225813fbba24106ed6df42810fe25cb3012288d3922dd57717e2608df205c7e2e6a6687f4089448ad7f8eb6b6e1575b4b51b76727351d4bcbea9155
+EBUILD botocore-1.31.33.ebuild 1834 BLAKE2B 8209ad43b9caa70c98744edf36645c8a660c86e61d2640787b8fd452c6ead5ebaad53ab332d74bb242a32ed673577231abd7a39b60b1122c9c30a6e1c46e9eff SHA512 8f2ff2d43225813fbba24106ed6df42810fe25cb3012288d3922dd57717e2608df205c7e2e6a6687f4089448ad7f8eb6b6e1575b4b51b76727351d4bcbea9155
EBUILD botocore-9999.ebuild 1834 BLAKE2B 8209ad43b9caa70c98744edf36645c8a660c86e61d2640787b8fd452c6ead5ebaad53ab332d74bb242a32ed673577231abd7a39b60b1122c9c30a6e1c46e9eff SHA512 8f2ff2d43225813fbba24106ed6df42810fe25cb3012288d3922dd57717e2608df205c7e2e6a6687f4089448ad7f8eb6b6e1575b4b51b76727351d4bcbea9155
MISC metadata.xml 499 BLAKE2B e5aaa7da26f200c09adfdf38b68f656bbccbec627cb5d966b280ac2165334e7eec659c89075bcace748f58e2ec3e7d2998e54a688d56ecea2d30653c67dfd35a SHA512 103c554d5dbd967bf9b6e418b3913d9235e7e910d012160909ce0715134ed2e37b06e6a345395f9d16ce08d1cf51f3ce458bce93c6a978fd3dca6610f2acdbd0
diff --git a/dev-python/botocore/botocore-1.31.33.ebuild b/dev-python/botocore/botocore-1.31.33.ebuild
new file mode 100644
index 000000000000..5894fd995097
--- /dev/null
+++ b/dev-python/botocore/botocore-1.31.33.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ # fails on unrelated warnings
+ tests/unit/test_client.py::TestAutoGeneratedClient::test_BOTO_DISABLE_COMMONNAME
+ tests/unit/test_client.py::TestClientErrors::test_BOTO_DISABLE_COMMONNAME
+ # TODO
+ tests/functional/test_credentials.py::SSOSessionTest::test_token_chosen_from_provider
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/pydantic/Manifest b/dev-python/pydantic/Manifest
index 8ee2a918b4fc..386abf1584f8 100644
--- a/dev-python/pydantic/Manifest
+++ b/dev-python/pydantic/Manifest
@@ -2,8 +2,10 @@ DIST pydantic-1.10.12.gh.tar.gz 766366 BLAKE2B b00885b86ef331f3f8531d1514f4e3e1e
DIST pydantic-2.1.1.tar.gz 611057 BLAKE2B b414fa698fdc8aee12427d38d0c410ffdd9a39e271858f939587c4a58cd3f579f9d5406b44c1c27350040a036af3badf58b4e10657b52b2d8a720e37720dcda3 SHA512 02703bb889d517f14a977835e553356ddd4d25abf4c8e30df157d68d8006a7ac9ed95feeda73548560b5705ca0d2305af8c49d683d5f0178e48643bef03761e2
DIST pydantic-2.2.0.tar.gz 620963 BLAKE2B 64b32daf0d6161a70364bdf21e4f868547253106ded166212faf7ae6dc4861ca21078c0f261af1e86b4d300de790f59bb641b76f0c046172a1240fce0135be86 SHA512 b9558cc9ba7da65507e13beb553e616a653169600c2898d783fcb761286674add7afccb39b90400875c0fe1b1a6fdde6e028fae39770fe3be767a9cdb94df5af
DIST pydantic-2.2.1.tar.gz 621074 BLAKE2B f0d987f51b18b13cf384433108eefa58c2fe9da98f514a351edab7dbdafaf8941f6eb946af7d81f88363d827a15df8e2fae5e901be69f5c4d19e0adf237ef773 SHA512 b79e49cdd81130aba44c6e122515cf8db121569be16b20bd1cc74c9983c25a2d4b8e532d49fe364782c40a28a3758f8e7f4c99e6e88a6e5470ee8ef214d51eb5
+DIST pydantic-2.3.0.tar.gz 623866 BLAKE2B 77fe2d9ce385946e13ffeb5827c29bc7473667af6b53b7b3ec2432380dc792f9ce54b1cb5af68f0a548880516c763ac8c29b129d821da074b63a9a50f9ebc5c3 SHA512 19c9c066a69c8406ccf5537e62b4b5112a5cf1c32bb68498bb73b739c4525fe115348c4c4e5ef9c074dc46fd2b51ca09bcb1d4fa792dbdd2387e51aadae9e528
EBUILD pydantic-1.10.12.ebuild 2518 BLAKE2B 84f7ee9b095b56518792f81df308652cdc725c6accef3388615bfea735c676f45e449e0c60ec030349b067a8a97833669071f493325c6644c7a73d08d348dcc3 SHA512 7fedbe4158ce80d41e8686ed19618bb818d3efdf8d508a8d4fdef7f8525a3e4e1364a340ba0d710f2b33327a280e33e5df15c0ea2920446dfee3d1b95cc4862f
EBUILD pydantic-2.1.1.ebuild 1668 BLAKE2B 6bac6d6e3ea60e26dc99e89f7420f483dd6c1153d0ae44f7558457c828e7c014efc0595c372f5c74010bb11b526dc4631044d18743edd73c1d9acaeee2eb8ad3 SHA512 b42cd39cde88d30cf3e67845ca6026c6f4ac581b055b0a4a40b6ac26db3f593c1dd7c8e249f26246c65e88678050cbd049f073259d70faa58075d1267c840d05
EBUILD pydantic-2.2.0.ebuild 1681 BLAKE2B 5ba5de953b709e045710f32503ae9db3ffaedaca519a20870e86e03b2d3d82024b0dd1192ce2d7c25653b2a8063183e7b426e13d55ab3c94a12a98d49d26913e SHA512 4d2038d9becc3db41db957e2469394adc15637bc7bde355e4edcb0bc36035125ec9219d961ab2e61ef70d291f0eff85839b88bf783f2b44ec220750f761e22e7
EBUILD pydantic-2.2.1.ebuild 1681 BLAKE2B fb5501aa715dc3492eabf36c77f9eb84719bfe5f0054abdee51e3cfa28c67639087dcca5f3dde0c1122ea7886f8fb8e40793a2809cd6cd1a57766d469cb87af5 SHA512 b2b6c216a0a476c6fcf57831be5fc45293c7d9acdda9a7126fa8ce7235c0d808ae6b4ea3210ce6c759b0276915a14f32a209b4f36ff23e1641d1d249e08dcfa5
+EBUILD pydantic-2.3.0.ebuild 1681 BLAKE2B 04ff6c2bb5128bb381c8d8f3b8daf7368c3b0e597c4569b343a9d94db08872bd74541287ae7f681cc96c9248ab26fb08c29561bcfd73b075e88ae163c5885ca2 SHA512 f4eccfc11fda71f9af8c426abb817d9911fe753f33f0547a30103cc53fd7a607a257a507c25569af3eac2afdda085d0085366786522a28038249b34ed9da9a4a
MISC metadata.xml 630 BLAKE2B e765d13d92f634fcd09ce51499a64149ca11f46c8b45d9a41c35382ed84686326b5dd9aeeb0d780d34f38f0cf99b08de6269f1671642aeb389bfd9b8abe18dba SHA512 43f108a909059554ea0fba2055739d23d889f1cf5e01c8f54c4e926062055d042b77412faa9f60af41697c155914907c87455361bb0d32edfdfcf5ff8ce1b2eb
diff --git a/dev-python/pydantic/pydantic-2.3.0.ebuild b/dev-python/pydantic/pydantic-2.3.0.ebuild
new file mode 100644
index 000000000000..64b754d170a5
--- /dev/null
+++ b/dev-python/pydantic/pydantic-2.3.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Data parsing and validation using Python type hints"
+HOMEPAGE="
+ https://github.com/pydantic/pydantic/
+ https://pypi.org/project/pydantic/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/annotated-types-0.4.0[${PYTHON_USEDEP}]
+ ~dev-python/pydantic-core-2.6.3[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.6.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/hatch-fancy-pypi-readme-22.5.0[${PYTHON_USEDEP}]
+ test? (
+ dev-python/dirty-equals[${PYTHON_USEDEP}]
+ >=dev-python/email-validator-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/Faker-18.13.0[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/benchmark/d' pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=()
+ local EPYTEST_IGNORE=(
+ # require pytest-examples
+ tests/test_docs.py
+ # benchmarks
+ tests/benchmarks
+ )
+ case ${EPYTHON} in
+ python3.12)
+ EPYTEST_DESELECT+=(
+ tests/test_abc.py::test_model_subclassing_abstract_base_classes_without_implementation_raises_exception
+ tests/test_computed_fields.py::test_abstractmethod_missing
+ tests/test_edge_cases.py::test_abstractmethod_missing_for_all_decorators
+ tests/test_generics.py::test_partial_specification_name
+ tests/test_model_signature.py::test_annotated_field
+ )
+ ;;
+ esac
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p pytest_mock
+}
diff --git a/dev-python/sabctools/Manifest b/dev-python/sabctools/Manifest
index 26694b9239a3..0b0860fd156c 100644
--- a/dev-python/sabctools/Manifest
+++ b/dev-python/sabctools/Manifest
@@ -2,6 +2,6 @@ DIST sabctools-7.0.2.gh.tar.gz 8539819 BLAKE2B 38212656c745238f106fbc9334f6dccb0
DIST sabctools-7.1.0.gh.tar.gz 8539861 BLAKE2B d19f46dc9d92ebd59f74b74f21129c11d425e690d9b43278cc691c41a2f85bf307775969f6bc0716ac74cd4f630971caa0896ac7c6af129bb9c58383e5afdba3 SHA512 bba1c441111aafd8b028a34637d1f9b855b7d232545bc6e56f7cc650bc22a7ee6a1ad6258aa963ef338a061adb5cd9692e1d6ea215ca7bd9fa7bf06b90079e5b
DIST sabctools-7.1.1.gh.tar.gz 8963314 BLAKE2B 583ac11ba8f4ef9d0f9d04a1697bb7e09644f2edfa851e175bf6454600e2d78bfb593c2fd3696ee077f3243084c90faa276eddd21578122233090be905367d55 SHA512 461f554d4e0032b4a4b0eaa4801d45cd014be00b5cd2f2c13ed7686d20994bb111c80fe8486a50af5622b3977056bd12d2465922f7daccd04a92af7101e52e0f
EBUILD sabctools-7.0.2.ebuild 762 BLAKE2B cdc9333c738724772186bbe75590def51a2a660598011d20ceab3df376bc693464e365072dae643bb007a9a7d310d4af1fbb9086426847f99698598697b28749 SHA512 edb4485c2d9e69a69dfbc310a92ba498f36d8836ca93423bbb628d772d7940ab781efe4ef093cac5adf89840d5815a1bc1736a1842ad56587263d7e3e978a643
-EBUILD sabctools-7.1.0.ebuild 763 BLAKE2B d9a775d03561bc3a14b6be4f22e9a47aaec3334c3cb8dc50e70b4cc39530391850960fc5c1d66d22031443f4c64234ea0ece75dbff301f6fe59f624b0c605ae9 SHA512 e0afba13f5d81df0805072dc39a46332640b4994227668e019558aaf721a46dfdba60fd0fe84d7da22291f3c7a7dbf2fa2a0b72dbcfee5618d596091726218b6
+EBUILD sabctools-7.1.0.ebuild 762 BLAKE2B cdc9333c738724772186bbe75590def51a2a660598011d20ceab3df376bc693464e365072dae643bb007a9a7d310d4af1fbb9086426847f99698598697b28749 SHA512 edb4485c2d9e69a69dfbc310a92ba498f36d8836ca93423bbb628d772d7940ab781efe4ef093cac5adf89840d5815a1bc1736a1842ad56587263d7e3e978a643
EBUILD sabctools-7.1.1.ebuild 763 BLAKE2B d9a775d03561bc3a14b6be4f22e9a47aaec3334c3cb8dc50e70b4cc39530391850960fc5c1d66d22031443f4c64234ea0ece75dbff301f6fe59f624b0c605ae9 SHA512 e0afba13f5d81df0805072dc39a46332640b4994227668e019558aaf721a46dfdba60fd0fe84d7da22291f3c7a7dbf2fa2a0b72dbcfee5618d596091726218b6
MISC metadata.xml 528 BLAKE2B 5dfe580ccb2a5bf9abe052dd7a11451eea49bc2182455b4feef17f927e73fb93a3402bd02f8f2cf03295170831377ac0f33f081bfed2256a0718b5d95cd43d6c SHA512 9a33e306b81242609de76aa1d99e7785e6b3d09b789bf967c0b9fd6d6ca07a00995e3dbbd27d4f63f8beee7657910a40712e255f7875d5b432c5c4fa5ace7085
diff --git a/dev-python/sabctools/sabctools-7.1.0.ebuild b/dev-python/sabctools/sabctools-7.1.0.ebuild
index a500ef55dcbb..de4949031d0a 100644
--- a/dev-python/sabctools/sabctools-7.1.0.ebuild
+++ b/dev-python/sabctools/sabctools-7.1.0.ebuild
@@ -25,7 +25,7 @@ S="${WORKDIR}/${MY_P}"
LICENSE="LGPL-3"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 ~x86"
BDEPEND="
test? (
diff --git a/dev-python/sphinx/Manifest b/dev-python/sphinx/Manifest
index fe954f39d2e1..d303e9fceecb 100644
--- a/dev-python/sphinx/Manifest
+++ b/dev-python/sphinx/Manifest
@@ -8,6 +8,7 @@ DIST sphinx-7.1.1.gh.tar.gz 6881907 BLAKE2B 4c73fbcd14c962ead0b15de5f36f6101ce19
DIST sphinx-7.1.2.gh.tar.gz 6882028 BLAKE2B 3ceabcb688824d929a5258978433b46a31666f423941dbed7641c7017745c4beb8b215714e1aa9c8a8b251bc4be1f5a7e80680a498ed808ed07178219dc31b65 SHA512 26827a6fa955665bc3b26ab882933eadcadf9a055bad9e8c98ca80a79a062ea8102950bbd4974b168c2bda62ae437976cf787401816c0804aa533f65a91efc24
DIST sphinx-7.2.0.gh.tar.gz 7060825 BLAKE2B c911e49903b3682a08271871ec79b907f41a581b21eeef26dfdeccdd3acbf9744ac25233095f3036f3061231407e29653dc3dfbbb0b1ba3fa4f5db44dda7d8c2 SHA512 282c53a2fc8533a99455aca49ab0ebc75b5fdfe5fea9c72bbf1d85d67843bce7cd14ee375a1f1bcd16863bd9f8a072a13364720ae8e84adbaecae1dbec6bfae9
DIST sphinx-7.2.2.gh.tar.gz 7061263 BLAKE2B 71b9ad7240bc487efb5fa446799aa3d7dd1fd24eb3340ec27b8642ee4eb464de1941912e4106f1d1038c04a8b98cfd782f336b8cf4d7a3a24b858931262ac66c SHA512 a15232c6e50ea2263e9dc6ece79e906d787e541e6a5d0c85c8c9a6a50dd0c95da3743023928be1b05cccdcf79c67f1d5b16ad300e5d67da2a511e81a2c54608f
+DIST sphinx-7.2.3.gh.tar.gz 7063906 BLAKE2B 346ac3de17ae02b9b5167f3a13bf52ead9712b3ef2e71fc3d63882ff413e48b2b3c6688cc1eef9545193ef51ac0a1a0d56dad4442b8c8c79ae0b91159510486b SHA512 1bafc21415e606430da178e1ea43e6abb8ab24fdef0f4f94a049cde32d6dead71417454195fa23c00f674ef50b2ee903a9fd31d817d4c49fcfbcd06cfa4b4835
EBUILD sphinx-5.3.0.ebuild 4066 BLAKE2B a10d1708d06e85cfff1977463d0cc062f85e87faadbc424e47b7f5249211aa699614732070de863c983537d8b1a141fee2b54ce732c21e724d775e1fdd4274ff SHA512 a77515313cef7e8c94b73d96fbb2c21ce37056d1cff09fee8871cef98cf4454c44a7df187611b56d12183a32dc2642d2e907f523db3bbf7c2a93d007db8f839f
EBUILD sphinx-6.2.1.ebuild 4334 BLAKE2B 37c75ece4611798584ff0516f0842735780a52351f4999d775ea5fd53010b237e0e744a27e06cd745de825d39861e63e8ef750afe1fe9f99629d72b7d4507154 SHA512 6c8afb311063e8daeabfa279ca71f019a4b25106edcc547bb68fecf235d8c301e657ad5a1939a536d27d527957a27155ea2a1cb0eec1e98721859502729454c9
EBUILD sphinx-7.0.1.ebuild 4375 BLAKE2B cf9558ea438492fac9fd0c00f78cda32b5eaecc69a169476552786f6b34ad7b4fcdc6068e2bd43fc9e2a44459eb95a4f2db5500794169e3abcc66ceca5aa39c5 SHA512 708595e5aadd9da15117a6d78c9c92d25c7b0481366b8dc6a41e81c7a9aac73477fec8edd079da07cdcb31aca6cb087a22017a9a942abc4ec9fab3ed56f4b3d5
@@ -16,4 +17,5 @@ EBUILD sphinx-7.1.1.ebuild 4393 BLAKE2B a9ba36fe52114bd3b7e33fabb7c61ca13bff3a6a
EBUILD sphinx-7.1.2.ebuild 4522 BLAKE2B 9b5928e2602152de4d706106080343d9a804d055a59ea2c70bff4371fe80098473b28459d6296e638908c2f970b92ecca4208804b8ca8d13c82d491caba827d1 SHA512 eebc6dccfd34a5a0cb18eaa7f87bfeffb1df0acd64f8072f1d1810d3a0d58d3395800a16055097691382c7e33c8d465ef94c62382b72dc135302b77286ea83bf
EBUILD sphinx-7.2.0.ebuild 4342 BLAKE2B 214f8ec69ef226cde5ba6d730a8b28a3bece0bec45f1af3581ae26a52cd70f639cf36d098b5128ead559dea55fbe9a6e37c32e4cae68baf3e230881bad035643 SHA512 3a0cdf5592f9f1560641598bb96ac491054d53867aaa96ec873715378edb5b2431532164c66788a1c0985ac87fc478fff72b87f3f045bbc61109701d60e68854
EBUILD sphinx-7.2.2.ebuild 3952 BLAKE2B a821b3ab720e39b0368ad69c839535a531860ff27dbd63ed0fd38aabd3c79b302089cb391265be9c26154811dd32a17b23ddcd60bad96a961738ba7126190680 SHA512 0c41926c73983c53ef36d1ac747991730c619f8f2a2e38cec28896f32d9c760dcc2ddd552c56387bd4e50966b5f3c197e6ec428d24a8324764cc3d96553eda76
+EBUILD sphinx-7.2.3.ebuild 3994 BLAKE2B 9cc216559efcbc49c4f38f135323b617a1833b88a5e5605e070dbcbd260f4cb3c74f13c3f6b33ece56019f1b3d4219fa1ee745205a96612ceeb638d1859667ef SHA512 de7d09bfb15fac17ddd0f3fbd3e88271fa13de9a033294abcb93b1600942e63f14d2ceb168aff6ff3a2d926848213eece7d09a7109cb369cad0866baf6da0f62
MISC metadata.xml 568 BLAKE2B ddb7175070df6da4088813cc6b66f25bb4364e2619b1e7da94370f7ce8e73b68b12f618412f81e6be57fcb0c60c10e3913f26a6a578b0f9defa7b9ee8091fcde SHA512 d32b37cbe88f5e3db0c6968bc7aa22c7edfb3794bf7c62facd17e7ae1f4f0fbfc7c9f5512230cce16ed32e2ebb70c23dfe9b36ce38785c5f5b76585410313214
diff --git a/dev-python/sphinx/sphinx-7.2.3.ebuild b/dev-python/sphinx/sphinx-7.2.3.ebuild
new file mode 100644
index 000000000000..89674848a183
--- /dev/null
+++ b/dev-python/sphinx/sphinx-7.2.3.ebuild
@@ -0,0 +1,125 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Python documentation generator"
+HOMEPAGE="
+ https://www.sphinx-doc.org/
+ https://github.com/sphinx-doc/sphinx/
+ https://pypi.org/project/Sphinx/
+"
+SRC_URI="
+ https://github.com/sphinx-doc/sphinx/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="doc latex"
+
+RDEPEND="
+ <dev-python/alabaster-0.8[${PYTHON_USEDEP}]
+ >=dev-python/Babel-2.9[${PYTHON_USEDEP}]
+ <dev-python/docutils-0.21[${PYTHON_USEDEP}]
+ >=dev-python/docutils-0.18.1[${PYTHON_USEDEP}]
+ >=dev-python/imagesize-1.3[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.0[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.14[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.25.0[${PYTHON_USEDEP}]
+ >=dev-python/snowballstemmer-2.0[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-applehelp[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-devhelp[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-jsmath[${PYTHON_USEDEP}]
+ >=dev-python/sphinxcontrib-htmlhelp-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/sphinxcontrib-serializinghtml-1.1.9[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-qthelp[${PYTHON_USEDEP}]
+ >=dev-python/packaging-21.0[${PYTHON_USEDEP}]
+ latex? (
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-luatex
+ app-text/dvipng
+ )
+ !dev-python/namespace-sphinxcontrib
+"
+BDEPEND="
+ doc? (
+ dev-python/sphinxcontrib-websupport[${PYTHON_USEDEP}]
+ media-gfx/graphviz
+ )
+ test? (
+ app-text/dvipng
+ >=dev-python/cython-3.0.0[${PYTHON_USEDEP}]
+ dev-python/filelock[${PYTHON_USEDEP}]
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-67.0[${PYTHON_USEDEP}]
+ dev-texlive/texlive-fontsextra
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-luatex
+ virtual/imagemagick-tools[jpeg,png,svg]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/sphinx-3.2.1-doc-link.patch"
+ "${FILESDIR}/sphinx-4.3.2-doc-link.patch"
+)
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # disable internet access
+ sed -i -e 's:^intersphinx_mapping:disabled_&:' \
+ doc/conf.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ # we can't use distutils_enable_sphinx because it would
+ # introduce a dep on itself
+ use doc && build_sphinx doc
+}
+
+python_test() {
+ mkdir -p "${BUILD_DIR}/sphinx_tempdir" || die
+ local -x SPHINX_TEST_TEMPDIR="${BUILD_DIR}/sphinx_tempdir"
+
+ local EPYTEST_DESELECT=(
+ # these tests require Internet access
+ tests/test_build_latex.py::test_latex_images
+ # TODO
+ tests/test_ext_autodoc.py::test_cython
+ tests/test_ext_autodoc_autoclass.py::test_classes
+ tests/test_ext_autodoc_autofunction.py::test_classes
+ # looks like a bug in lualatex
+ "tests/test_build_latex.py::test_build_latex_doc[lualatex-howto-None]"
+ "tests/test_build_latex.py::test_build_latex_doc[lualatex-manual-None]"
+ # doesn't like paths?
+ tests/test_directive_other.py::test_include_source_read_event
+ # flaky
+ tests/test_build_linkcheck.py
+ )
+ [[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
+ tests/test_ext_autodoc.py::test_autodoc_inherited_members_None
+ tests/test_ext_autodoc.py::test_automethod_for_builtin
+ tests/test_ext_autodoc.py::test_partialfunction
+ tests/test_ext_autodoc_autofunction.py::test_builtin_function
+ tests/test_ext_autodoc_autofunction.py::test_methoddescriptor
+ tests/test_ext_autodoc_preserve_defaults.py::test_preserve_defaults_special_constructs
+ tests/test_ext_autosummary.py::test_autosummary_generate_content_for_module
+ tests/test_ext_autosummary.py::test_autosummary_generate_content_for_module_skipped
+ tests/test_util_inspect.py::test_isattributedescriptor
+ tests/test_util_typing.py::test_is_invalid_builtin_class
+ )
+
+ # note: pytest-xdist causes random test failures
+ epytest
+}